Soft In The Box

Zone de téléchargement

N'oubliez pas de lire les instructions d'installation

XPM Convert Version 0.6.0
Vous trouverez les instructions d'installation sur la page consacré à XPM Convert.

Chat In The Box 0.1.2
Vous trouverez les instructions d'installation sur la page consacré à Chat In The Box.

wxSQLite+ 0.3.0
Vous trouverez les instructions d'installation sur la page consacré à wxSQLite+.

DevPack GCC 3.4.5
Tout les bibliothèques contenues dans les devpack disponibles sur ce site sont compilé avec GCC 3.4.5

Voici les sept devpack pour G.C.C 3.4.5 pour Windows (MinGW) :
Il est possible que vous soyez obligé de modifier des chemins d'accès dans le fichier devcpp.ini qui se situ dans votre répertoire utilisateur (ex: %WINDISK%\Documents and Settings\%USER%\Application Data\Dev-Cpp\devcpp.ini)

Pour en savoir plus sur GCC, visitez le site de MinGW.


DevPack wxWidgets 2.9.0 et 2.8.10
Cette version des devpack de wxWidgets 2.9.0 nécessite la version 4.9.9.2 de Dev-Cpp avec GCC en version 3.4.5.

Voici les deux devpack pour wxWidgets 2.9.0 :
Le premier devpack est obligatoire, le second n'est absolument pas nécessaire pour construire un projet wxWidgets mais contient des exemples trés utiles et les fichiers d'aide.
Ces DevPacks sont construits avec la version 2.9.0 du 08/09/2009. Cette version est la première version de la branche 2.9 (non stable). Cette version des devpack de wxWidgets 2.8.10 nécessite la version 4.9.9.2 de Dev-Cpp avec GCC en version 3.4.5.

Voici les six devpack pour wxWidgets 2.8.10 :
Le premier devpack est obligatoire, les quatre suivants sont facultatifs du moment que vous installez un des quatre, le dernier n'est absolument pas nécessaire pour construire un projet wxWidgets mais contient des exemples trés utiles.
Ces DevPacks sont construits avec la version 2.8.10 du 17/03/2009. Cette version est la onzième version stable de la branche 2.8. Pour en savoir plus visitez le site de wxWidget.

Attention : Si vous avez installé d'autre devpacks de wxWidgets, vous devez impérativement les désinstaller. Sauf si ce sont les devpacks de wxWidgets 2.6.3 disponibles sur ce site.
De plus si vous n'avez pas installé Dev-Cpp dans le répertoire par défaut C:\Dev-Cpp vous devez modifier les fichiers template comme indiqué dans le fichier readme lors de l'installation.



DevPacks Add On pour wxWidgets
Voici un ensembles de devpacks de composants pour wxWidgets 2.8.10 et 2.9.0.
Tous ces composants sont distribué sous la licence wxWidgets (equiv:LGPL).

Cette version des devpack nécessite la version 4.9.9.2 de Dev-Cpp avec GCC en version 3.4.5.

wxSQLite3 1.9.5 : est un composant permettant l'accès à la base de données du domaine public SQLite 3.x, et est spécifiquement conçue pour l'utilisation dans des programmes basés sur la bibliothèque wxWidgets. La version 2.8.10 nécessite le devpack SQLite 3.6.14.2 ci-dessous.
wxSQLite3 1.9.6 : est un composant permettant l'accès à la base de données du domaine public SQLite 3.x, et est spécifiquement conçue pour l'utilisation dans des programmes basés sur la bibliothèque wxWidgets. La version 2.9.0 nécessite le devpack SQLite 3.6.18 ci-dessous.
Attention : Si vous n'avezpas installé Dev-Cpp dans le répertoire par défaut C:\Dev-Cpp vous devez modifier les chemins dans les fichiers de projets des exemples.

DevPack SQLite 3.6.18
SQLite est un moteur de base de donnée relationnelle SQL.
Cette bibliothèque est dans le domaine public.
Devpack de SQLite 3.6.18.
Devpack de SQLite 3.6.14.2.

Cette version des devpack nécessite la version 4.9.9.2 de Dev-Cpp avec GCC en version 3.4.5.

DevPack GNU Scientific Library (GSL) 1.11
GSL est une bibliothèque mathématique pour programmeurs C et C++. Elle fournit un grand choix de routines mathématiques comme des générateurs de nombre aléatoire, des fonctions spéciales etc... Il y a plus de 1000 fonctions au total.
Cette bibliothèque est distribué sous la licence publique générale (GNU GPL).
Devpack de GSL 1.11. Version du 31 Mars 2008.
Attention : Si vous n'avez pas installé Dev-Cpp dans le répertoire par défaut C:\Dev-Cpp vous devez modifier le fichier template comme indiqué dans le fichier readme lors de l'installation.

Cette version des devpack nécessite la version 4.9.9.2 de Dev-Cpp avec GCC en version 3.4.5.

DevPack LibEXIF 0.6.16
LibEXIF est une bibliothèque écrite en C qui permet de lire et d'écrire les méta-données au format EXIF dans des images au format JPEG.
Cette bibliothèque est distribuée sous la licence publique générale limitée (GNU LGPL).
Devpack de LibEXIF 0.6.16.
Attention : Si vous n'avezpas installé Dev-Cpp dans le répertoire par défaut C:\Dev-Cpp vous devez modifier le fichier template comme indiqué dans le fichier readme lors de l'installation.

Cette version des devpack nécessite la version 4.9.9.2 de Dev-Cpp avec GCC en version 3.4.5.